%define LANG zh
%define version 0.2.24
%define release 2mdk

#####################
#
# I have no idea where to get newer pages; there is no URL
#
#####################

Summary: Chinese Man Pages
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
License: Distributable
Group: System/Internationalization
Source: manpages-zh-0224.tar.bz2
Source1: makewhatis.%{LANG}_CN.GB2312.bz2
Source2: makewhatis.%{LANG}_TW.Big5.bz2
#Icon: books-%{LANG}.xpm
Buildroot: %_tmppath/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
Set of man pages translated into Chinese language

%prep
%setup -q -n manpages-zh-0224

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}_CN.GB2312/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}_CN.GB2312/cat{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}_TW.Big5/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}_TW.Big5/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8 9 n ; do
	cp -varf %{LANG}_CN.GB2312/*.$i \
		$RPM_BUILD_ROOT/%{_mandir}/%{LANG}_CN.GB2312/man$i || :
	cp -varf %{LANG}_TW.Big5/*.$i \
		$RPM_BUILD_ROOT/%{_mandir}/%{LANG}_TW.Big5/man$i || :
done

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}_CN.GB2312.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_CN.GB2312
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_CN.GB2312
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}_TW.Big5.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_TW.Big5
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_TW.Big5

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_CN.GB2312 \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}_CN.GB2312
$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}_TW.Big5 \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}_TW.Big5

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}_CN.GB2312.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG}_CN.GB2312 %{_mandir}/%{LANG}_CN.GB2312
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}_CN.GB2312.cron
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}_TW.Big5.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG}_TW.Big5 %{_mandir}/%{LANG}_TW.Big5
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}_TW.Big5.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}_CN.GB2312.cron
/etc/cron.weekly/makewhatis-%{LANG}_TW.Big5.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}_CN.GB2312, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}_CN.GB2312
   if [ ! -d /%{_mandir}/%{LANG}_CN.GB2312 ] ; then
       rm -rf /var/catman/%{LANG}_CN.GB2312
   fi
   ## Force removing of /var/catman/%{LANG}_TW.Big5, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}_TW.Big5
   if [ ! -d /%{_mandir}/%{LANG}_TW.Big5 ] ; then
       rm -rf /var/catman/%{LANG}_TW.Big5
   fi
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,2755)
%dir %{_mandir}/%{LANG}_CN.GB2312
%{_mandir}/%{LANG}_CN.GB2312/man*
%ghost %{_mandir}/%{LANG}_CN.GB2312/whatis
%attr(775,root,man)/var/catman/%{LANG}_CN.GB2312
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}_CN.GB2312
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}_CN.GB2312.cron
#
%dir %{_mandir}/%{LANG}_TW.Big5
%{_mandir}/%{LANG}_TW.Big5/man*
%ghost %{_mandir}/%{LANG}_TW.Big5/whatis
%attr(775,root,man)/var/catman/%{LANG}_TW.Big5
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}_TW.Big5
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}_TW.Big5.cron

%changelog
* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.24-2mdk
- Use %%_tmppath for BuildRoot

* Thu Jul 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.24-1mdk
- First rpm for Mandrake 
